# Eina de programació

Cornelius
Schumacher

     schumacher@kde.org

Waldo
Bastian

     bastian@kde.org

Zack
Rusin

     zack@kde.org

01-06-2006
Entorn d'escriptori K
kconfig_compiler
1

# kconfig_compiler

Compilador de configuració de KDE

    kconfig_compiler Opcions-de-Qt Opcions-de-KDE opcions fitxer.kcfg fitxer.kcfgc

## Descripció

`kconfig_compiler` genera codi font C++ a partir de dos fitxers. El primer (.kcfg) conte informació sobre les opcions de configuració i el segon (.kcfgc) proporciona les opcions per a la generació del codi.

El codi font generat conté una classe basada en `KConfigSkeleton` que proporciona un API per accedir a les dades de configuració de les aplicacions.

## Opcions

### Arguments:

fitxer.kcfg

  Fitxer XML kcfg d'entrada

fitxer.kcfgc

  Fitxer d'opcions de generació de codi

### Opcions:

`-d, --directory <dir>`

  Directori per a generar els fitxers a [.]

### Opcions genèriques:

`--help`

  Mostra ajuda quant a les opcions

`--help-qt`

  Mostra les opcions específiques de Qt

`--help-kde`

  Mostra les opcions específiques de KDE

`--help-all`

  Mostra totes les opcions

`--author`

  Mostra informació de l'autor

`-v, --version`

  Mostra informació de la versió

`--license`

  Mostra informació de llicència

### Opcions de KDE:

`--caption <títol>`

  Usa «títol» com a nom de la barra de títol

`--icon <icona>`

  Usa «icona» com a icona d'aplicació

`--miniicon <icona>`

  Usa «icona» com a icona d'aplicació

`--config <nom_fitxer>`

  Usa el fitxer de configuració alternatiu

`--dcopserver <servidor>`

  Utilitza el servidor DCOP especificat per «servidor»

`--nocrashhandler`

  Desactiva el manipulador de petades, per a obtenir bolcats de nucli

`--waitforwm`

  Espera un gestor de finestres compatible WM_NET

`--style <estil>`

  Estableix l'estil d'IGU de l'aplicació

`--geometry <geometria>`

  Estableix la geometria del client a l'estri principal - consulteu el format de l'argument amb man X

### Opcions de Qt:

`--display <nompantalla>`

  Usa la pantalla del servidor X «nompantalla»

`--session <sessió_ID>`

  Restaura l'aplicació per l'identificador de sessió donat

`--cmap`

  Fa que l'aplicació instal·li un mapa de color privat a una pantalla de 8-bits

`--ncols <compte>`

  Limita el número de colors assignats al cub de color a una pantalla de 8-bits, si l'aplicació està usant l'especificació de color QApplication::ManyColor

`--nograb`

  Li diu a Qt de no capturar mai el ratolí o el teclat

`--sync`

  Canvia a mode síncron per a la depuració

`--fn, --font <nom_tipus_lletra>`

  Defineix el tipus de lletra de l'aplicació

`--bg, --background <color>`

  Estableix el color de fons per omissió i una paleta d'aplicació (es calculen les ombres suaus i fosques)

`--fg, --foreground <color>`

  Estableix el color de primer pla per omissió

`--btn, --button <color>`

  Estableix el color per omissió del botó

`--name <nom>`

  Estableix el nom de l'aplicació

`--title <títol>`

  Estableix el títol de l'aplicació (capçalera)

`--visual TrueColor`

  Força a l'aplicació a usar visió TrueColor a una pantalla de 8-bits

`--inputstyle <estil_d'entrada>`

  Estableix l'estil d'entrada XIM (X Input Method). Els valors possibles són onthespot, overthespot, offthespot i root

`--im <servidor_XIM>`

  Estableix el servidor XIM

`--noxim`

  Deshabilita XIM

`--reverse`

  Emmiralla tota la disposició dels estris

## Veure també

`http://developer.kde.org`

  Lloc web El racó del desenvolupador del KDE

## Errors

Si us plau, useu bugs.kde.org per a informar d'errors, no envieu cap correu directament als autors.